Bug 1206 - Would be nice if attempting to load an out-of-date user class (e.g. during execution) prompted to recompile from source first.
Would be nice if attempting to load an out-of-date user class (e.g. during ex...
Status: CLOSED WONTFIX
Product: platform
Classification: Unclassified
Component: Execution
3.x
All All
: P4 (vote)
: TBD
Assigned To: iformanek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-17 19:31 UTC by Jesse Glick
Modified: 2008-12-23 10:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 1999-02-17 19:31:33 UTC
Example scenario: I am writing a form with some support class, all source under NB. Build and execute, works OK but there are some problems. Make a fix in the support class, save but forget to compi
le. Do something else. Later, go to execute the form; the same problem still exists and I must remember to "Compile All" (e.g.) on my part of the repository. With this suggestion, upon the later execu
tion, NB notices that the support class is out of date (newest source has not been compiled), and actually suggests (in a dialog) compiling this class before continuing with the execution. ClassLoader
Support should be able to do this, I think, if it was desirable. Is it safe to do this sort of thing while executing a findClass() method?

Even better, have NB check whether the source was open in an editor window, and modified but unsaved, and offer to both save & recompile.


Presumably there should be some way of turning this feature off for a while--while it might be nice for execution, it might also be a pain for something else, and should be either turned off or differ
ently implemented during compilation.

Also, if there was some way to selectively enable/disable this feature, this would presumably be done in the context of some sort of dynamic block--"turn on while execution engine is running, only whe
n called from a descendant thread of that used to start the execution engine"? If so, this dynamic block could serve as a context allowing the dialog to present nicer options such as "Yes to All" and
"No to All".
Comment 1 Jesse Glick 2002-02-14 19:47:46 UTC
x
Comment 2 Jesse Glick 2002-02-14 19:48:25 UTC
Would only work under internal execution, and probably deadlock-prone.
Comment 3 Quality Engineering 2003-07-01 15:47:30 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified.

Comment 4 Quality Engineering 2003-07-01 16:13:23 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo